#!/usr/bin/python
#   coding: utf-8

from pad.type import Type
from pad.helper import *
from pad.logger import Logger
logger = Logger()

class Block(Type):
  def getContent( self, el, style, props, content ):
    theStyle = self.options.get( 'style', '' )
    content += u'<div class="'+makeattr(el.tag)+u'" style="'+theStyle+'"><div class="_">'
    content += formatChildren( el )
    content += u'</div></div>\n'

class EditableBlock(Type):
  def getContent( self, el, style, props, content ):
    href = Type.getHref( props )

    content += u'<div class="'+makeattr(el.tag)+u'"><div class="_">'
    children = formatChildren( el )
    if children.strip(): 
      content += u'<a href="'+href+'" class="_text">'+formatChildren( el )+'</a>'
    else:
      content += u'<a href="'+href+'" class="_editlink">&#x270e;</a>'
    content += u'</div></div>\n'
