#!/usr/bin/python
#   coding: utf-8

from pad.type import Type
from pad.helper import *
from pad.logger import Logger
logger = Logger()

class Block(Type):
  def getContent( self, el, style, props, content ):
    href = Type.getHref( props )

    content += u'<div class="'+makeattr(el.tag)+u'"><div class="_">'
    if el.text and el.text.strip():
      dest = el.get('href')
      content += u'<a href="'+dest+'" class="_text">'+maketext(el.text)+u'</a>'
    content += style.apply( el, props )
    content += u'</div>\n'
