#!/usr/bin/python
#   coding: utf-8

import pad.helper

class Validator:
  pass

class ByTag(Validator):
  def __init__(self, validatorDef):
    self.validatorDef = validatorDef

  def validate( self, el ):
    result = None
    if self.validatorDef.has_key(el.tag):
      result = self.validatorDef[el.tag].validate(el)
    if result is None:
      for child in el:
        result = self.validate( child )
        if result is not None: return result
    return result

class Allow(Validator):
  def validate( self, el ):
    return None

class Deny(Validator):
  def validate( self, el ):
    return 'Denied'
