#!/usr/bin/python

import sys

def read_words():
    return open("/usr/share/dict/words").readlines()

def sort(s):
    L = list(s)
    L.sort()
    return "".join( L )

def run():
    args = sys.argv[1:]
    if not args:
        print "usage: anag <word>"
        return

    words = read_words()
    words = [ (sort(w),w) for w in words ]

    for arg in args:
        sorted = sort(arg)
        matches = [ b for (a,b) in words if a == sorted ]
        print arg + ":"
        for m in matches:
            print "    " + m

if __name__ == "__main__":
    run()
