#!/usr/bin/python
#   coding: utf-8

import random

from pad.type import Type
from pad.helper import *

class Block(Type):
  typeName = 'pad.types.structure.Block'

  def getContent( self, el, style, attrs, content ):
    theStyle = self.options.get( 'style', '' )
    content += u'<div class="'+makeattr(el.tag)+u'" style="'+theStyle+'">'
    content += u'<h4 class="'+makeattr(el.tag)+u'">'+maketext(el.tag)+'</h4>'
    if el.text and el.text.strip():
      content += u'<div class="_">'+maketext(el.text)+u'</div>'
    content += style.apply( el, attrs )
    content += u'</div>\n'

    return content
