#!/usr/bin/python2.2

import string

def pp(n):
  if n>1000:
    return string.rjust(str(int(n)),7)
  else:
    return string.rjust(str(int(n*100)*0.01),7)

workingweek=37.5

ph=0.001
pw=ph*workingweek
pd=pw/5
pa=pw*(365.0/7)
pq=pa/4
pm=pa/12

taxlevels=(
            ( 'gross',
              ( 'Pension', (0, 0) )
            ,)
          ,
            ( 'gross (pension)',
              ( 'Income Tax', (10, 4615/pa),
                              (12, (4615+1960)/pa),
                              (18, (4615+30500)/pa) )
            ,
            ( 'National Insurance', (10, 89/pw),
                                      (-9, 595/pw) )
            )
          ,)

outgoings=( ( 'cellphone', 20/pm ),
	    ( 'council tax', 643/pa ),
	    ( 'internet', 25/pm ),
	    ( 'telephone', 12/pm ),
            ( 'electric', 46/pm ),
            ( 'water', 222/pa ),
            ( 'charity', 20/pm ),
            ( 'rent', 606/pm ),
            ( 'Oyster', 850/pa ),
	    ( 'cash', 105/pw ) )

#outgoings=( ( 'mobile phone', 28.50/pm ),
#            ( 'land phone', 20/pm ),
#            ( 'internet', 30/pm ),
#            ( 'car insurance', 90/pm ),
#            ( 'car cleaning', 10/pm ),
#            ( 'car maintenance', 300/pa ),
#            ( 'car tax', 115/pa ),
#            ( 'parking', 15/pm ),
#            ( 'petrol', 20/pm ),
#            ( 'tv licence', 112/pa ),
#            ( 'gas+electric', 30/pm ),
#            ( 'council tax', 32/pm ),
#            ( 'water', 130/pa ),
#            ( 'mortgage', 160/pm ),
#            ( 'charity', 20/pm ),
#            ( 'Edge', 10/pq ),
#            ( 'Private Eye', 21/pa ),
#            ( 'Kew', 40/pa ),
#            ( 'service', 500/pa ) )

while 4==4:
  gross=0
  while gross==0:
    s=raw_input("gross salary, pa/pw/ph :")
    if s[-2:]=="pa":
      gross=1.0*eval(s[:-2])/pa
    elif s[-2:]=="pw":
      gross=1.0*eval(s[:-2])/pw
    elif s[-2:]=="pd":
      gross=1.0*eval(s[:-2])/pd
    elif s[-2:]=="ph":
      gross=1.0*eval(s[:-2])/ph
    elif s[-2:]=="pm":
      gross=1.0*eval(s[:-2])/pm
    elif s[-2:]=="pq":
      gross=1.0*eval(s[:-2])/pq





  tab=18


  net=gross

  for taxgroup in taxlevels:
    taxname=string.rjust(taxgroup[0],tab)
    print "\n"+taxname+": ",pp(gross*pa),"pa ",pp(gross*pm),"pm ",pp(gross*pw),"pw ",pp(gross*pd),"pd"
    for tax in taxgroup[1:]:
      thistax=0
      taxname=string.rjust(tax[0],tab)
      for rate,level in tax[1:]:
        if gross>level:
          thistax+=(gross-level)*0.01*rate
      print taxname+": ",pp(thistax*pa),"pa ",pp(thistax*pm),"pm ",pp(thistax*pw),"pw ",pp(thistax*pd),"pd"
      net-=thistax
    gross=net

  taxname=string.rjust('net',tab)

  print "\n"+taxname+": ",pp(net*pa),"pa ",pp(net*pm),"pm ",pp(net*pw),"pw ",pp(net*pd),"pd"
  print "\n\n\n"

  for out in outgoings:
    thistax=out[1]
    taxname=string.rjust(out[0],tab)
    print taxname+": ",pp(thistax*pa),"pa ",pp(thistax*pm),"pm ",pp(thistax*pw),"pw ",pp(thistax*pd),"pd"
    net-=thistax

  taxname=string.rjust('left',tab)

  print "\n"+taxname+": ",pp(net*pa),"pa ",pp(net*pm),"pm ",pp(net*pw),"pw ",pp(net*pd),"pd"
  print "\n\n\n"

